summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Fernandes Ferreira2015-06-16 17:48:36 +0200
committer Willy Sudiarto Raharjo2015-06-16 17:48:54 +0200
commit26212989e362d850382f17b67e86d511e35bc10e (patch)
treeb3092548ed8f9af70a09dae1f0061f275152d933
parentad3c472df56fb181a22ad6059adfc0a0c5034598 (diff)
downloadslackbuilds-26212989e362d850382f17b67e86d511e35bc10e.tar.gz
system/lrzip: Added (Long Range ZIP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/lrzip/README7
-rw-r--r--system/lrzip/lrzip.SlackBuild99
-rw-r--r--system/lrzip/lrzip.info10
-rw-r--r--system/lrzip/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/system/lrzip/README b/system/lrzip/README
new file mode 100644
index 0000000000..265f209ba9
--- /dev/null
+++ b/system/lrzip/README
@@ -0,0 +1,7 @@
+Long Range ZIP or Lzma RZIP
+
+This is a compression program optimised for large files. The larger the file
+and the more memory you have, the better the compression advantage this will
+provide, especially once the files are larger than 100MB. The advantage can
+be chosen to be either size (much smaller than bzip2) or speed (much faster
+than bzip2).
diff --git a/system/lrzip/lrzip.SlackBuild b/system/lrzip/lrzip.SlackBuild
new file mode 100644
index 0000000000..2f21597861
--- /dev/null
+++ b/system/lrzip/lrzip.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for lrzip
+
+# Copyright 2015 Eric Fernandes Ferreira, Ponta Grossa, PR, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lrzip
+VERSION=${VERSION:-0.621}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make CFLAGS+="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar AUTHORS COPYING ChangeLog INSTALL README.md TODO WHATS-NEW doc/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lrzip/lrzip.info b/system/lrzip/lrzip.info
new file mode 100644
index 0000000000..feccce7cad
--- /dev/null
+++ b/system/lrzip/lrzip.info
@@ -0,0 +1,10 @@
+PRGNAM="lrzip"
+VERSION="0.621"
+HOMEPAGE="http://ck.kolivas.org/apps/lrzip/"
+DOWNLOAD="http://ck.kolivas.org/apps/lrzip/lrzip-0.621.tar.bz2"
+MD5SUM="53a12cc4d19aa030d0ab7f0a21db2cfe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Eric Fernandes Ferreira"
+EMAIL="candelabrus@gmail.com"
diff --git a/system/lrzip/slack-desc b/system/lrzip/slack-desc
new file mode 100644
index 0000000000..5d9a3f087d
--- /dev/null
+++ b/system/lrzip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lrzip: lrzip (Long Range ZIP)
+lrzip:
+lrzip: This is a compression program optimised for large files. The larger
+lrzip: the file and the more memory you have, the better the compression
+lrzip: advantage this will provide, especially once the files are larger
+lrzip: than 100MB. The advantage can be chosen to be either size (much
+lrzip: smaller than bzip2) or speed (much faster than bzip2).
+lrzip:
+lrzip:
+lrzip: homepage : http://ck.kolivas.org/apps/lrzip/
+lrzip: